[![Contributors][contributors-shield]][contributors-url]
[![Forks][forks-shield]][forks-url]
[![Stargazers][stars-shield]][stars-url]
[![Issues][issues-shield]][issues-url]
[![MIT License][license-shield]][license-url]
[![LinkedIn][linkedin-shield]][linkedin-url]

<br />
<p align="center">
  <a href="https://github.com/matt-charr/XCorVar">
    <img src="https://github.com/matt-charr/XCorVar/blob/master/image.PNG" alt="Logo" width="400" height="300">
  </a>

  <h3 align="center"><strong>XCorVar</strong></h3>

  <p align="center">
    <em>A Quantitative Analysis Library</em>
    <br />
    <a href="https://github.com/matt-charr/XCorVar"><strong>Explore the docs »</strong></a>
    <br />
    <br />
    <a href="https://github.com/matt-charr/XCorVar">View Demo</a>
    ·
    <a href="https://github.com/matt-charr/XCorVar/issues">Report Bug</a>
    ·
    <a href="https://github.com/matt-charr/XCorVar/pulls">Request Feature</a>
  </p>
</p>


<details open="open">
  <summary><h2 style="display: inline-block">Table of Contents</h2></summary>
  <ol>
    <li>
      <a href="#about-the-project">Genesis</a>
      <ul>
        <li><a href="#built-with">Built With</a></li>
      </ul>
    </li>
    <li>
      <a href="#getting-started">Getting Started</a>
      <ul>
        <li><a href="#prerequisites">Prerequisites</a></li>
        <li><a href="#installation">Installation</a></li>
      </ul>
    </li>
    <li><a href="#usage">Usage</a></li>
    <li><a href="#roadmap">Roadmap</a></li>
    <li><a href="#contributing">Contributing</a></li>
    <li><a href="#license">License</a></li>
    <li><a href="#contact">Contact</a></li>
    <li><a href="#acknowledgements">Acknowledgements</a></li>
  </ol>
</details>

## Genesis

Designed for young <a href="https://www.merriam-webster.com/words-at-play/padawan-the-new-intern"><em>Padawan</em></a> aiming at upgrading his knowledge in finance, programming and mathematics.

After receiving the divine teaching from <a href="https://business-cool.com/decryptage/analyse/master-el-karoui-le-master-phare-pour-integrer-le-monde-de-la-finance-analytique/"><em>The Quant Temple</em></a>, our duty consists in pursuing the learning process which will lead our life to intellectual happiness.

The idea remains simple:

Seeking to implement cutting-edge quantitative analysis technology as discovering new theoretical concepts closely studied from masterbooks, typically pricing models and calculation techniques.

## Getting Started

### Market Data

This project uses market data provided by the below websites

* [CBOE](https://www.cboe.com/) - spot and option data 
* [EUREX](https://www.eurex.com/) - spot and option data
* [IBORATE](http://iborate.com/eur-libor/) - LIBOR data
* [SEBGROUP](https://sebgroup.com/) - SWAP data

In particuler, the user can download spot and call/put data of the ticker you want and drop the excel file in the directory <a href="https://github.com/matt-charr/XCorVar/tree/master/data"><em>data/</em></a> 

### Installation

In order to install the package, you simply need to clone this repository to your machine

   ```sh
   mkdir MyXCorVar
   cd MyXCorVar
   git clone https://github.com/matt-charr/XCorVar.git
   ```

## Roadmap

See the [open issues](https://github.com/matt-charr/XCorVar/issues) for a list of proposed features (and known issues).

## Contributing

Any contributions are **greatly appreciated**

1. Fork the Project
2. Create your Feature Branch (`git checkout -b myBranch`)
3. Commit your Changes (`git commit -m 'add a feature'`)
4. Push to the Branch (`git push origin myBranch`)
5. Open a Pull Request

## License

Distributed under the MIT License. See `LICENSE` for more information.

## Contact

Matthieu Charrier - [@mattcharr](https://www.linkedin.com/in/matthieu-charrier-080820134/) - matthieu.charrier.pro@gmail.com

Project Link: [https://github.com/matt-charr/XCorVar](https://github.com/matt-charr/XCorVar)

## Acknowledgements

Warm thanks to:

* The Quant Temple, they know who they are.
* Every quant I worked or will work with, they know who they are.
* Every master quant I worked or will work for, they know who they are.

* Every author I read or will read, they know who they are.

[contributors-shield]: https://img.shields.io/github/contributors/matt-charr/XCorVar.svg?style=for-the-badge
[contributors-url]: https://github.com/matt-charr/XCorVar/graphs/contributors
[forks-shield]: https://img.shields.io/github/forks/matt-charr/XCorVar.svg?style=for-the-badge
[forks-url]: https://github.com/matt-charr/XCorVar/network/members
[stars-shield]: https://img.shields.io/github/stars/matt-charr/XCorVar.svg?style=for-the-badge
[stars-url]: https://github.com/matt-charr/XCorVar/stargazers
[issues-shield]: https://img.shields.io/github/issues/matt-charr/XCorVar.svg?style=for-the-badge
[issues-url]: https://github.com/matt-charr/XCorVar/issues
[license-shield]: https://img.shields.io/github/license/matt-charr/XCorVar.svg?style=for-the-badge
[license-url]: https://github.com/matt-charr/XCorVar/blob/master/LICENSE.txt
[linkedin-shield]: https://img.shields.io/badge/-LinkedIn-black.svg?style=for-the-badge&logo=linkedin&colorB=555
[linkedin-url]: https://www.linkedin.com/in/matthieu-charrier-080820134/